Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
RouteProcessorCurrentIntegrationTest::testProcessOutbound function core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php Tests the output process.
RouteProcessorManager class core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Route processor manager.
RouteProcessorManager.php file core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php
RouteProcessorManager::$outboundProcessors property core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Holds the array of outbound processors to cycle through.
RouteProcessorManager::$sortedOutbound property core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Holds the array of outbound processors, sorted by priority.
RouteProcessorManager::addOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Adds an outbound processor object to the $outboundProcessors property.
RouteProcessorManager::getOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Returns the sorted array of outbound processors.
RouteProcessorManager::processOutbound function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Processes the outbound route.
RouteProcessorManager::sortProcessors function core/lib/Drupal/Core/RouteProcessor/RouteProcessorManager.php Sorts the processors according to priority.
RouteProcessorManagerTest class core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php @coversDefaultClass \Drupal\Core\RouteProcessor\RouteProcessorManager[[api-linebreak]]
@group RouteProcessor
RouteProcessorManagerTest.php file core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php
RouteProcessorManagerTest::$processorManager property core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php The route processor manager.
RouteProcessorManagerTest::getMockProcessor function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Returns a mock Route processor object.
RouteProcessorManagerTest::setUp function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php
RouteProcessorManagerTest::testRouteProcessorManager function core/tests/Drupal/Tests/Core/RouteProcessor/RouteProcessorManagerTest.php Tests the Route process manager functionality.
RouteProvider::$extraCacheKeyParts property core/lib/Drupal/Core/Routing/RouteProvider.php An array of cache key parts to be used for the route match cache.
RouteProvider::$pathProcessor property core/lib/Drupal/Core/Routing/RouteProvider.php A path processor manager for resolving the system path.
RouteProvider::$routes property core/lib/Drupal/Core/Routing/RouteProvider.php A cache of already-loaded routes, keyed by route name.
RouteProvider::$serializedRoutes property core/lib/Drupal/Core/Routing/RouteProvider.php A cache of already-loaded serialized routes, keyed by route name.
RouteProvider::$service property core/tests/Drupal/KernelTests/RouteProvider.php The route provider service.
RouteProvider::$state property core/lib/Drupal/Core/Routing/RouteProvider.php The state.
RouteProvider::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProvider.php Returns all the routes on the system.
RouteProvider::getAllRoutes function core/tests/Drupal/KernelTests/RouteProvider.php Returns all the routes on the system.
RouteProvider::getCandidateOutlines function core/tests/Drupal/KernelTests/RouteProvider.php
RouteProvider::getCandidateOutlines function core/lib/Drupal/Core/Routing/RouteProvider.php Returns an array of path pattern outlines that could match the path parts.
RouteProvider::getQueryParametersCacheIdPart function core/lib/Drupal/Core/Routing/RouteProvider.php Returns the query parameters identifier for the route collection cache.
RouteProvider::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProvider.php Finds routes that may potentially match the request.
RouteProvider::getRouteCollectionForRequest function core/tests/Drupal/KernelTests/RouteProvider.php Finds routes that may potentially match the request.
RouteProvider::getRoutesByNames function core/tests/Drupal/KernelTests/RouteProvider.php Find many routes by their names using the provided list of names.
RouteProvider::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProvider.php Find many routes by their names using the provided list of names.
RouteProvider::getRoutesByPath function core/lib/Drupal/Core/Routing/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getRoutesByPattern function core/tests/Drupal/KernelTests/RouteProvider.php Get all routes which match a certain pattern.
RouteProvider::getSubscribedEvents function core/lib/Drupal/Core/Routing/RouteProvider.php
RouteProvider::lazyLoadItself function core/tests/Drupal/KernelTests/RouteProvider.php Loads the real route provider from the container and rebuilds the router.
RouteProvider::preLoadRoutes function core/tests/Drupal/KernelTests/RouteProvider.php Pre-load routes by their names using the provided list of names.
RouteProvider::preLoadRoutes function core/lib/Drupal/Core/Routing/RouteProvider.php Pre-load routes by their names using the provided list of names.
RouteProvider::reset function core/lib/Drupal/Core/Routing/RouteProvider.php Resets the route provider object.
RouteProvider::reset function core/tests/Drupal/KernelTests/RouteProvider.php Resets the route provider object.
RouteProvider::__construct function core/lib/Drupal/Core/Routing/RouteProvider.php Constructs a new PathMatcher.
RouteProviderInterface::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Returns all the routes on the system.
RouteProviderInterface::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Finds routes that may potentially match the request.
RouteProviderInterface::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Find many routes by their names using the provided list of names.
RouteProviderInterface::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Get all routes which match a certain pattern.
RouteProviderInterface::reset function core/lib/Drupal/Core/Routing/RouteProviderInterface.php Resets the route provider object.
RouteProviderLazyBuilder::getAllRoutes function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Returns all the routes on the system.
RouteProviderLazyBuilder::getRouteCollectionForRequest function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Finds routes that may potentially match the request.
RouteProviderLazyBuilder::getRoutesByNames function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Find many routes by their names using the provided list of names.
RouteProviderLazyBuilder::getRoutesByPattern function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php Get all routes which match a certain pattern.
RouteProviderLazyBuilder::getSubscribedEvents function core/lib/Drupal/Core/Routing/RouteProviderLazyBuilder.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.